Subject: Re: [PATCH net-next 10/11] net: stmmac: Introduce selftests support

From: Andrew Lunn <[email-masked]>
Date: Thu, 9 May 2019 14:21:18 +0200

> > You also seem to be missing a test for adding a unicast address via
> > dev_uc_add() and receiving packets for that address, but not receiving
> > multicast packets.
> 
> Hmm, what if interface was already configured to receive Multicast before 
> running the tests ?

The kernel keeps a list of unicast and multicast addresses, which have
been added to the filters. You could remove them all, do the test, and
then add them back. __dev_mc_unsync(), __dev_mc_sync() etc.

     Andrew